using Server.System;

var builder = WebApplication.CreateBuilder(args);
var app = builder.Build();

//웹서버 초기화
ProtocolProcessor.Init();
//깃 웹훅 초기화
GItWebhook.Init();

//http용 데이터
app.MapPost("/", ProtocolProcessor.Process);

//git 접근용 웹훅
app.MapPost("/git", GItWebhook.Process);

//app.MapPost("/update", GItWebhook.Process);

app.Run();
